// 防抖
const debounce = (fn, time = 1000) => {
    let timeout = null;
    return function timeoutFn(event) {
        if (timeout) {
            clearTimeout(timeout);
        }
        const show = !timeout;
        timeout = setTimeout(() => {
            timeout = null;
        }, time);
        if (show) {
            fn.call(this, event);
        }
    };
};

export default {
    debounce,
};
